Bug 243818 - net-im/matterbridge: fix build on aarch64
Summary: net-im/matterbridge: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: http://thunderx1.nyi.freebsd.org/data...
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-02 19:36 UTC by Mikael Urankar
Modified: 2020-02-24 20:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
patch (1.67 KB, patch)
2020-02-02 19:37 UTC, Mikael Urankar
swills: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-02 19:36:48 UTC
# golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128
Comment 1 Mikael Urankar freebsd_committer 2020-02-02 19:37:06 UTC
Created attachment 211296 [details]
patch
Comment 2 Emmanuel Vadot freebsd_committer 2020-02-21 11:57:05 UTC
Approved-by: manu (mentor)
Comment 3 commit-hook freebsd_committer 2020-02-24 20:07:57 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 20:07:00 UTC 2020
New revision: 527047
URL: https://svnweb.freebsd.org/changeset/ports/527047

Log:
  net-im/matterbridge: unbreak on aarch64

  Import an upstream patch [1] to fix build on aarch64

  [1] https://github.com/golang/sys/commit/33540a1f603772f9d4b761f416f5c10dade23e96

  PR:		243818
  Approved by:	swills (maintainer), manu (mentor)

Changes:
  head/net-im/matterbridge/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go